Support » Plugin: Gutenberg » I beg you!

  • hearzone

    (@hearzone)


    Gutenberg, Gutenberg, Gutenberg…
    Blocks, blocks…

    At first I was interestend in this new feature and take a lot of time, to read about the development of Gutenberg.

    For a bunch of Developers, like me, it would a big disaster.

    Nothing works clean, bad code and favorite features from the classic editor like meta boxes get broken.

    I spend a lot of time in the last years, to learn all about development in WordPress. Now, you take more time from me, to learn it all again.

    I beg you, don’t make it into core. This is a really disaster.

    And do not tell me, i have to install the “Classic Editor” plugin. We need security releases and a stable CMS, not a botched job!

    I beg you! No Core!

Viewing 1 replies (of 1 total)
  • Moderator Marius L. J.

    (@clorith)

    Hiya,

    Thank you for taking the time to leave a review!

    So I looked over the points you mentioned, and honestly this is what developers have been begging us to do for years now, they want a more modern platform, and they’ll get that with Gutenberg, while at the same time having the familiarity of WordPress in the back.

    As for meta boxes, they’ll still be a thing, but a lot of things they’ve previously been used for have been things that are more suited as block elements, and as such you may see fewer of them after the release of WordPress 5.0. The following is a screenshot of the latest Gutenberg version (2.8) and how metaboxes are embedded when we don’t know “what to do with them”:

    Some meta boxes may need updating, if they do fancy things, but for the most part, you’ll be unaffected, you can see the compatibility overview on the Gutenberg page at https://wordpress.org/gutenberg/#compatibility

Viewing 1 replies (of 1 total)
  • The topic ‘I beg you!’ is closed to new replies.